# Image proxy
(c) 2024- Jeroen De Meerleer <me@jeroened.be>

Small image proxy based on [intervetion/image](https://image.intervention.io) to resize a image, create a border and fill the background

## Installation

* Copy the folder to your destination
* Run `composer install`
* Done

## Usage

Several options can be used

    fill => Background color
    w => the resulting width of the image
    h => the resulting height of the image
    cw => the resulting canvas width of the image
    ch => the resulting canvas height of the image
    url => the url of the original image (required)

** example **

Following will resize the gitea logo png to 600 by 600 with extra padding up to 800 by 800 and a light green background

"deploy_url"?fill=f2ffe5&w=600&h=600&cw=800&ch=800&url=https://about.gitea.com/gitea.svg